// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "LeftAngleState.h"
static StateAbstract* ptr;
extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// *******************************************
// * Left Angle State: initialization method *
// *******************************************
void LeftAngleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->Flags = 0xC0; // 1100 0000 binary
     
     ptr->DefaultStateMethod = &LeftAngleStateMethod;
}

// ************************************
// * Left Angle State: default method *
// ************************************
static void LeftAngleStateMethod( void* command ){
    ptr->Flags = (ptr->Flags & 0x40); // preserve TPS flag and set DT to false -> init value is: 0x00 0000 binary, where x is TPS current flag status
    
    if(StepperMotor.AngleCounter != StepperMotor.LeftAnglePreset)
        ptr->Flags |= 0x80;
}

// ******************************************
// * Left Angle State: event handler method *
// ******************************************
static void LeftAngleStateInterruptHandler( void* interruptId ){
}