// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "RightAngleState.h"
static StateAbstract* ptr;
extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// ********************************************
// * Right Angle State: initialization method *
// ********************************************
void RightAngleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->Flags = 0xC0; // 1100 0000 binary
     
     ptr->DefaultStateMethod = &RightAngleStateMethod;
}

// *************************************
// * Right Angle State: default method *
// *************************************
static void RightAngleStateMethod( void* command ){
    ptr->Flags = (ptr->Flags & 0x40); // preserve TPS flag and set DT to false -> init value is: 0x00 0000 binary, where x is TPS current flag status

    if(StepperMotor.AngleCounter == StepperMotor.RightAnglePreset)
        ptr->Flags |= 0x80;
}

// *******************************************
// * Right Angle State: event handler method *
// *******************************************
static void RightAngleStateInterruptHandler( void* interruptId ){
}