// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "SpeedState.h"

extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// **************************************
// * Speed State: initialization method *
// **************************************
void SpeedStateInitialization (void* ptrSa){
     StateAbstract* ptr = (StateAbstract*)ptrSa;
     
     ptr->Flags = 0xC0; // 1100 0000 binary
     
     ptr->DefaultStateMethod = &SpeedStateMethod;
}

// *******************************
// * Speed State: default method *
// *******************************
static void SpeedStateMethod( void* command ){;
    if(*(BYTE*)command == 0x03 && StepperMotor.TimeSlice > 10)           // todo: 10 as config parameter!
        StepperMotor.TimeSlice -= 1;
    else
    if(*(BYTE*)command == 0x04 && StepperMotor.TimeSlice < 1000)         // todo: 1000 as config parameter!
        StepperMotor.TimeSlice += 1;
}

// *************************************
// * Speed State: event handler method *
// *************************************
static void SpeedStateInterruptHandler( void* interruptId ){
}